Bug 20269 - %{_var} -> %{_localstatedir} on SPEC
%{_var} -> %{_localstatedir} on SPEC
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
7.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Dale Lovelace
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-03 01:12 EST by Arenas Belon, Carlo Marcelo
Modified: 2007-03-26 23:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-04 05:01:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Arenas Belon, Carlo Marcelo 2000-11-03 01:12:33 EST
on %{makeinstall} call %{var} should be changed to %{_localstatedir} as
used on %build for runtimedir, logfiledir and proxycachedir

also runtimedir (IMHO) should be :

  runtimedir=$RPM_BUILD_ROOT%{_localstatedir}/run
                                               ^^^

instead of

  runtimedir=$RPM_BUILD_ROOT%{_var}/httpd
                                    ^^^^^

on %file the cache and logfile should be (as used on %configure)

%attr(-,apache,apache) %dir %{localstatedir}/cache/httpd
%dir %{_localstatedir}/log/httpd
Comment 1 Pekka Savola 2000-12-28 15:31:38 EST
Please note that RPM 3.0.5 has by default:

%_prefix                /usr
%_localstatedir         %{_prefix}/var

Comment 2 Arenas Belon, Carlo Marcelo 2001-01-04 04:56:08 EST
not really,

this is actually and RPMism but macros are parsed (and overriden) as explained
on the macrofiles tag on /usr/lib/rpm/rpmrc (from 3.0.5-9.6x)

macrofiles:
/usr/lib/rpm/macros:/usr/lib/rpm/%{_target}/macros:/etc/rpm/macros...

%{_target} can be i386-redhat-linux or any other "supported" target and there
the _localstatedir gets overriden as :

%_localstatedir /var

actually the RFE was suggested as part of an incomplete standarization of the
SPEC that forgot this "convertion" ;)
Comment 3 Nalin Dahyabhai 2001-01-11 21:25:36 EST
This will be fixed in apache-1.3.14-7 and later.  (Also removing a redundant
--libexecdir=.)  Thanks!

Note You need to log in before you can comment on or make changes to this bug.